module PSBoardDataBaseInteractiveUtilsExt

export import_dataframe

using PSBoardDataBase
using CSV
using DataFrames
using InteractiveUtils

"""
    import_dataframe() -> DataFrame

Import dataframe from clipboard.
"""
function import_dataframe()
    file = tempname()
    finalizer(file) do x
        @async rm(x)
    end

    CSV.read(file, DataFrame)
end

end # module
